CURLOPT_BUFFERSIZE(3)

NAME
CURLOPT_BUFFERSIZE - set preferred receive buffer size

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_BUFFERSIZE, long size);

DESCRIPTION
Pass a long specifying your preferred size (in bytes) for the receive buffer in libcurl. The main point of this would be that the write callback gets called more often and with smaller chunks. This is just treated as a request, not an order. You cannot be guaranteed to actually get the given size. This size is by default set as big as possible (CURL_MAX_WRITE_SIZE), so it only makes sense to use this option if you want it smaller.

DEFAULT
CURL_MAX_WRITE_SIZE

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.10

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_MAX_RECV_SPEED(3), CURLOPT_WRITEFUNCTION(3),